vprocss: XVprocSs_Config Struct Reference

| vprocss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XVprocSs_Config Struct Reference

Video Processing Subsystem configuration structure. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the device. More...
UINTPTR | BaseAddress
| BaseAddress is the physical base address of the subsystem address range. More...
UINTPTR | HighAddress
| HighAddress is the physical MAX address of the subsystem address range. More...
u8 | Topology
| Subsystem configuration mode. More...
u8 | PixPerClock
| Number of Pixels Per Clock processed by Subsystem. More...
u16 | ColorDepth
| Processing precision of the data pipe. More...
u16 | NumVidComponents
| Number of Video Components. More...
u16 | MaxWidth
| Maximum cols supported by subsystem instance. More...
u16 | MaxHeight
| Maximum rows supported by subsystem instance. More...
u16 | HasMADI
| Motion Adaptive Deinterlacer available flag. More...
XSubCore | RstAximm
| Axi MM reset network instance configuration. More...
XSubCore | RstAxis
| Axi stream reset network instance configuration. More...
XSubCore | Vdma
| Sub-core instance configuration. More...
XSubCore | Router
| Sub-core instance configuration. More...
XSubCore | Csc
| Sub-core instance configuration. More...
XSubCore | Deint
| Sub-core instance configuration. More...
XSubCore | HCrsmplr
| Sub-core instance configuration. More...
XSubCore | Hscale
| Sub-core instance configuration. More...
XSubCore | Lbox
| Sub-core instance configuration. More...
XSubCore | VCrsmplrIn
| Sub-core instance configuration. More...
XSubCore | VCrsmplrOut
| Sub-core instance configuration. More...
XSubCore | Vscale
| Sub-core instance configuration. More...

## Detailed Description

Video Processing Subsystem configuration structure.

Each subsystem device should have a configuration structure associated that defines the MAX supported sub-cores within subsystem

## Field Documentation

UINTPTR XVprocSs_Config::BaseAddress

BaseAddress is the physical base address of the subsystem address range.

Referenced by XSys_Init(), XVprocSs_CfgInitialize(), XVprocSs_SubcoreInitCsc(), XVprocSs_SubcoreInitDeinterlacer(), XVprocSs_SubcoreInitHCrsmplr(), XVprocSs_SubcoreInitHScaler(), XVprocSs_SubcoreInitLetterbox(), XVprocSs_SubcoreInitResetAximm(), XVprocSs_SubcoreInitResetAxis(), XVprocSs_SubcoreInitRouter(), XVprocSs_SubcoreInitVCrsmpleIn(), XVprocSs_SubcoreInitVCrsmpleOut(), XVprocSs_SubcoreInitVdma(), and XVprocSs_SubcoreInitVScaler().

u16 XVprocSs_Config::ColorDepth

Processing precision of the data pipe.

Referenced by XSys_SetStreamParam(), XVprocSs_CfgInitialize(), and XVprocSs_ReportSubsystemCoreInfo().

XSubCore XVprocSs_Config::Csc

Sub-core instance configuration.

Referenced by XVprocSs_SubcoreInitCsc().

XSubCore XVprocSs_Config::Deint

Sub-core instance configuration.

Referenced by XVprocSs_SubcoreInitDeinterlacer().

u16 XVprocSs_Config::DeviceId

DeviceId is the unique ID of the device.

u16 XVprocSs_Config::HasMADI

Motion Adaptive Deinterlacer available flag.

Referenced by XVprocSs_CfgInitialize().

XSubCore XVprocSs_Config::HCrsmplr

Sub-core instance configuration.

Referenced by XVprocSs_SubcoreInitHCrsmplr().

UINTPTR XVprocSs_Config::HighAddress

HighAddress is the physical MAX address of the subsystem address range.

Referenced by XVprocSs_SubcoreInitCsc(), XVprocSs_SubcoreInitDeinterlacer(), XVprocSs_SubcoreInitHCrsmplr(), XVprocSs_SubcoreInitHScaler(), XVprocSs_SubcoreInitLetterbox(), XVprocSs_SubcoreInitResetAximm(), XVprocSs_SubcoreInitResetAxis(), XVprocSs_SubcoreInitRouter(), XVprocSs_SubcoreInitVCrsmpleIn(), XVprocSs_SubcoreInitVCrsmpleOut(), XVprocSs_SubcoreInitVdma(), and XVprocSs_SubcoreInitVScaler().

XSubCore XVprocSs_Config::Hscale

Sub-core instance configuration.

Referenced by XVprocSs_SubcoreInitHScaler().

XSubCore XVprocSs_Config::Lbox

Sub-core instance configuration.

Referenced by XVprocSs_SubcoreInitLetterbox().

u16 XVprocSs_Config::MaxHeight

Maximum rows supported by subsystem instance.

Referenced by XVprocSs_CfgInitialize(), and XVprocSs_ReportSubsystemCoreInfo().

u16 XVprocSs_Config::MaxWidth

Maximum cols supported by subsystem instance.

Referenced by XVprocSs_CfgInitialize(), and XVprocSs_ReportSubsystemCoreInfo().

u16 XVprocSs_Config::NumVidComponents

Number of Video Components.

Referenced by XVprocSs_CfgInitialize(), and XVprocSs_ReportSubsystemCoreInfo().

u8 XVprocSs_Config::PixPerClock

Number of Pixels Per Clock processed by Subsystem.

Referenced by XSys_SetStreamParam(), XVprocSs_ReportSubsystemCoreInfo(), and XVprocSs_SetZoomPipWindow().

XSubCore XVprocSs_Config::Router

Sub-core instance configuration.

Referenced by XVprocSs_SubcoreInitRouter().

XSubCore XVprocSs_Config::RstAximm

Axi MM reset network instance configuration.

Referenced by XVprocSs_SubcoreInitResetAximm().

XSubCore XVprocSs_Config::RstAxis

Axi stream reset network instance configuration.

Referenced by XVprocSs_SubcoreInitResetAxis().

u8 XVprocSs_Config::Topology

Subsystem configuration mode.

Referenced by XSys_Init().

XSubCore XVprocSs_Config::VCrsmplrIn

Sub-core instance configuration.

Referenced by XVprocSs_SubcoreInitVCrsmpleIn().

XSubCore XVprocSs_Config::VCrsmplrOut

Sub-core instance configuration.

Referenced by XVprocSs_SubcoreInitVCrsmpleOut().

XSubCore XVprocSs_Config::Vdma

Sub-core instance configuration.

Referenced by XVprocSs_SubcoreInitVdma().

XSubCore XVprocSs_Config::Vscale

Sub-core instance configuration.

Referenced by XVprocSs_SubcoreInitVScaler().